# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`oddjob`](#oddjob): Installs and manages Oddjob.
* [`oddjob::config`](#oddjobconfig)
* [`oddjob::install`](#oddjobinstall)
* [`oddjob::mkhomedir`](#oddjobmkhomedir): Installs the Oddjob mkhomedir job.
* [`oddjob::mkhomedir::config`](#oddjobmkhomedirconfig)
* [`oddjob::mkhomedir::install`](#oddjobmkhomedirinstall)
* [`oddjob::service`](#oddjobservice)

### Defined types

* [`oddjob::helper`](#oddjobhelper): Helper to configure Oddjob jobs.

## Classes

### <a name="oddjob"></a>`oddjob`

Installs and manages Oddjob.

* **See also**
  * puppet_classes::oddjob::mkhomedir
    * oddjob::mkhomedir
  * puppet_defined_types::oddjob::helper
    * oddjob::helper

#### Examples

##### Declaring the class

```puppet
include dbus
include oddjob
```

#### Parameters

The following parameters are available in the `oddjob` class:

* [`conf_dir`](#conf_dir)
* [`package_name`](#package_name)
* [`service_name`](#service_name)

##### <a name="conf_dir"></a>`conf_dir`

Data type: `Stdlib::Absolutepath`

Top-level configuration directory, usually
`/etc/oddjobd.conf.d`.

##### <a name="package_name"></a>`package_name`

Data type: `String`

The name of the package.

##### <a name="service_name"></a>`service_name`

Data type: `String`

The service name.

### <a name="oddjobconfig"></a>`oddjob::config`

The oddjob::config class.

### <a name="oddjobinstall"></a>`oddjob::install`

The oddjob::install class.

### <a name="oddjobmkhomedir"></a>`oddjob::mkhomedir`

Installs the Oddjob mkhomedir job.

* **See also**
  * puppet_classes::oddjob
    * oddjob

#### Examples

##### Declaring the class

```puppet
include dbus
include oddjob
include oddjob::mkhomedir
```

#### Parameters

The following parameters are available in the `oddjob::mkhomedir` class:

* [`package_name`](#package_name)

##### <a name="package_name"></a>`package_name`

Data type: `String`

The name of the package.

### <a name="oddjobmkhomedirconfig"></a>`oddjob::mkhomedir::config`

The oddjob::mkhomedir::config class.

### <a name="oddjobmkhomedirinstall"></a>`oddjob::mkhomedir::install`

The oddjob::mkhomedir::install class.

### <a name="oddjobservice"></a>`oddjob::service`

The oddjob::service class.

## Defined types

### <a name="oddjobhelper"></a>`oddjob::helper`

Helper to configure Oddjob jobs.

* **See also**
  * puppet_classes::oddjob
    * oddjob

#### Examples

##### 

```puppet
include dbus
include oddjob
oddjob::helper { 'mkhomedir':
  content      => file('oddjob/oddjobd-mkhomedir.conf'),
  dbus_content => file('oddjob/oddjob-mkhomedir.conf'),
}
```

#### Parameters

The following parameters are available in the `oddjob::helper` defined type:

* [`content`](#content)
* [`dbus_content`](#dbus_content)
* [`job`](#job)

##### <a name="content"></a>`content`

Data type: `String`

The Oddjob job content.

##### <a name="dbus_content"></a>`dbus_content`

Data type: `Optional[String]`

The D-Bus configuration content.

Default value: ``undef``

##### <a name="job"></a>`job`

Data type: `String`

The name of the Oddjob job.

Default value: `$title`

